# Type alias Plugin

Plugin: {
dependencies: string[];
onLoad: ((cfg) => Promise<void>);
plugin_name?: string;
sc_plugin_api_version: number;
[key: string]: any;
} & (PluginWithConfig | PluginWithoutConfig)

#### Type declaration

- ##### [key: string]: any

- ##### dependencies: string[]

- ##### onLoad: ((cfg) => Promise<void>)

  - - (cfg): Promise<void>

    - #### Parameters

      - ##### cfg: any

      #### Returns Promise<void>

- ##### `Optional` plugin_name?: string

- ##### sc_plugin_api_version: number

- Defined in saltcorn-types/base_types.ts:550

Generated using TypeDoc